summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-includes/lib
diff options
context:
space:
mode:
authorsegfault <segfault@riseup.net>2019-03-27 20:46:09 +0100
committersegfault <segfault@riseup.net>2019-04-04 11:37:02 +0200
commite4e7f81288ff9723b94ec434bbc7006ce240cb0f (patch)
tree68ac357936a1a24be5e0ef27f0cbca980b35bf8c /config/chroot_local-includes/lib
parent3af65b5f8482b17c2e51961f16aec1b67acb5476 (diff)
Disable emergency shutdown during suspend (refs: #11729)
Diffstat (limited to 'config/chroot_local-includes/lib')
-rwxr-xr-xconfig/chroot_local-includes/lib/systemd/system-sleep/toggle-tails-shutdown-on-media-removal.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/config/chroot_local-includes/lib/systemd/system-sleep/toggle-tails-shutdown-on-media-removal.sh b/config/chroot_local-includes/lib/systemd/system-sleep/toggle-tails-shutdown-on-media-removal.sh
new file mode 100755
index 0000000..859d21e
--- /dev/null
+++ b/config/chroot_local-includes/lib/systemd/system-sleep/toggle-tails-shutdown-on-media-removal.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+case "$1" in
+ pre)
+ systemctl stop tails-shutdown-on-media-removal.service
+ ;;
+ post)
+ systemctl start tails-shutdown-on-media-removal.service
+ ;;
+esac